%global octpkg symbolic

Name:           octave-%{octpkg}
Version:        1.0.9
Release:        3%{?dist}
Summary:        Symbolic computations for Octave
Group:          Applications/Engineering
License:        GPLv2+
URL:            http://octave.sourceforge.net/symbolic/
Source0:        http://downloads.sourceforge.net/octave/%{octpkg}-%{version}.tar.gz
# This patch fixes a compile issue with an octave 3.4.0 API change.
Patch0:         %{name}.patch

BuildRequires:  octave-devel
BuildRequires:  ginac-devel

Requires:       octave(api) = %{octave_api}
Requires(post): octave
Requires(postun): octave


Obsoletes:      octave-forge <= 20090607


%description
Symbolic toolbox based on GiNaC and CLN.

%prep
%setup -q -n %{octpkg}-%{version}
%patch0 -p0 -b .fix340

%build
%octave_pkg_build

%install
rm -rf %{buildroot}
%octave_pkg_install
rm -f %{buildroot}/%{octpkgdir}/doc/INSTALL

%post
%octave_cmd pkg rebuild

%preun
%octave_pkg_preun

%postun
%octave_cmd pkg rebuild

%files
%defattr(-,root,root,-)
%{octpkglibdir}

%dir %{octpkgdir}
%doc %{octpkgdir}/doc-cache
%{octpkgdir}/*.m
%{octpkgdir}/packinfo
%doc %{octpkgdir}/packinfo/COPYING
%doc %{octpkgdir}/doc

%changelog
* Sat Aug 06 2011 Jussi Lehtola <jussilehtola@fedoraproject.org> - 1.0.9-3
- Bump spec due to change of octave api version.

* Wed Jun 15 2011 Thomas Sailer <t.sailer@alumni.ethz.ch> - 1.0.9-2
- Review input

* Fri Jun 03 2011 Thomas Sailer <t.sailer@alumni.ethz.ch> - 1.0.9-1
- initial package for Fedora
